/* rdate.c - Client Program fuer "remote date service" */
#include  <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include  "date.h"  /* erzeugt durch rpcgen */

int main(int argc, char *argv[])
{
  CLIENT    *cl;      /* RPC handle */
  char    *server;
  long    *lresult;   /* Rueckkehrwert von  bin_date_1() */
  char    **sresult;  /* Rueckkehrwert von  str_date_1() */

  if (argc != 2) {
    fprintf(stderr, "usage: %s hostname\n", argv[0]);
    exit(1);
  }
  server = argv[1];
  /*  Erzeuge Client "handle" */
  if ( (cl = clnt_create(server, DATE_PROG, DATE_VERS, "udp")) == NULL) {
    /*  Verbindung zum Server konnte nicht hergestellt werden */
    clnt_pcreateerror(server);
    exit(2);
  }
  /* Aufruf von "BIN_DATE" */
  if ( (lresult = bin_date_1(NULL, cl)) == NULL) {
    clnt_perror(cl, server);
    exit(3);
  }
  printf("time on host %s = %ld\n", server, *lresult);
  /*  Aufruf von  "STR_DATE"  */
  if ( (sresult = str_date_1(lresult, cl)) == NULL) {
    clnt_perror(cl, server);
    exit(4);
  }
  printf("time on host %s = %s", server, *sresult);
  clnt_destroy(cl);    /* close Client handle */
  exit(0);
}
